mybatis:
  config-location: classpath:mybatis-config.xml
  mapper-locations: classpath*:mapper/*.xml
server:
  port: 8088
#  contextPath: /xj
  max-http-header-size: 8192
  session:
    cookie:
      name: macrobox
  tomcat: 
    basedir: /log/macrouion #上传文件临时目录
spring:
  datasource:
    # 初始化大小，最小，最大
    initial-size: 5
    min-idle: 5
    max-active: 60
    filters: stat,wall,log4j
    driver-class-name: com.mysql.jdbc.Driver
    password: 123456
    type: com.alibaba.druid.pool.DruidDataSource
    connection-init-sqls: set names utf8mb4;
    url: jdbc:mysql://172.16.1.208:3306/alarmlamp?useUnicode=true&characterEncoding=utf8&autoReconnect=true&rewriteBatchedStatements=TRUE&useSSL=false
    username: root
    log-abandoned: true
    remove-abandoned: true
    remove-abandoned-timeout: 180
    max-wait: 60000
    test-while-idle: true
  freemarker:
    cache: true
    charset: UTF-8
    check-template-location: true
    content-type: text/html
    expose-request-attributes: true
    expose-session-attributes: true
    request-context-attribute: request
    settings:
      auto_import: /spring.ftl as spring
      date_format: yyyy-MM-dd
      datetime_format: yyyy-MM-dd HH:mm:ss
      time_format: HH:mm:ss
  http:
    multipart:
      maxFileSize: 5Mb
      maxRequestSize: 5Mb
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8 
  application:
    name: assetview
  messages:
    basename: i18n/messages_zh_CN
    encoding: UTF-8
  cache:
    ehcache:
      config: classpath:ehcache.xml
swagger:
  enable: true
file:
  upload-file-dir: "/uploads/"
socket:
  assertView4:
    historys[0]:
      name: 9200
      port: 9200
      IdleReaderIdleTime: 60
      charset: GBK
    alarms[0]:
      name: 9200
      port: 9300
      charset: GBK
    alarms[1]:
      name: 9301
      port: 9301
      charset: GBK
Snmp:
  ip: 127.0.0.1 #默认本地内网ip
  removeTrapTime: 5 #超过多少时间后，自动消除掉trap产生的报警，默认5分钟，单位（分钟）
timely:
  receive: 3 #接收相同设备数据最小周期（秒），低于此数值内的数据将会丢失，值越小越耗资源
  send: 30 #相同设备发送数据最小周期（秒），发送设备设置值小于此值将无效，值越小越耗资源
  snmpGet: 0/5 * * * * ? #cron格式
  saveStep: 5 #实时数据保存到数据库的时间间隔/分钟，越小服务器压力越大
  outTimeSendHistory: false #历史数据超时是否需要发送给第三方，true时服务器压力大，且送给第三方的数据值不变
  handleAlarm: 0/1 * * * * ? #实时报警处理时间间隔，时间越小实时性越高，但容易丢失报警
  removeAlarm: 1 #超过多少时间后，自动消除掉报警，默认5分钟，单位（分钟）
datalog: 0 #0-不输出接收数据日志，1-输出